<?php
/**
 * Epic Review Element
 *
 * @author Jegtheme
 * @since 1.0.0
 * @package epic-review
 */

namespace Epic\Review\Elements\Views;

use Epic\Review\Data\SingleData;
use Jeg\Element\Elements\Elements_View_Abstract;

/**
 * Class Review_Post_View
 *
 * @package Epic\Review\Elements\Views
 */
class Review_Post_View extends Elements_View_Abstract {
	/**
	 * Render Element
	 *
	 * @param array  $attr .
	 * @param string $column_class .
	 *
	 * @return mixed|string
	 */
	public function render_element( $attr, $column_class ) {
		$post_id     = $attr['post_id_review'];
		$single_data = new SingleData( 'element', $post_id, $attr );
		return $single_data->single_review_template();
	}

	/**
	 * Inherit Parent
	 *
	 * @param string $result .
	 * @param array  $attr .
	 */
	public function render_result_element( $result, $attr ) {}
}
